INTERFACE
subroutine bfgs (YD_PIN,YD_POUT,YD_PSY,kpdim,kp,kip)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE CONTROL_VECTORS
INTEGER(KIND=JPIM),INTENT(IN) :: KPDIM
INTEGER(KIND=JPIM),INTENT(IN) :: KP
INTEGER(KIND=JPIM),INTENT(IN) :: KIP
TYPE(CONTROL_VECTOR),INTENT(IN) :: YD_PIN
TYPE(CONTROL_VECTOR),INTENT(INOUT) :: YD_POUT
TYPE(CONTROL_VECTOR),INTENT(IN) :: YD_PSY(KPDIM,2)
END SUBROUTINE bfgs
END INTERFACE
